.space{
    min-height:30px;
}

.space-two{
    min-height:50px;
}


/* banner */
.hero {
    background-image: url('../img/bolsadetrabajo/banner.webp?v=1');
    background-size: cover;
    background-position: 80% 0px;
    background-repeat: no-repeat;
    min-height: 700px;
    display: flex; /* Habilita Flexbox */
    justify-content: center; /* Alinea el contenido a la derecha */
    align-items: center; /* Centra verticalmente */
    box-sizing: border-box; /* Asegura que el padding se incluya en la altura total */
}

.text-banner{
    color: #fff;
    font-size: 70px;
    font-weight: 700;
    text-align: center;
    text-transform: uppercase;
    line-height: 1em;
    text-shadow: 4px 4px 10px rgba(0,0,0,0.3);
}

/* SECCIÓN AREAS LABORALES*/
.section-areas{
    padding: 80px 0px 80px 0px;
}

.container-areas{
    max-width:1240px;
    margin-right: auto;
    margin-left: auto;
    position: relative;
    text-align: center;
}

.text-paragraph{
    font-size: 16px;
    font-weight: 400;
    line-height: 1.3em;
}

.text-title{
    font-size: 45px;
    font-weight: 700;
    line-height: 1em;
}

.color-blue{
    color:#00a3e0;
}

.col-item{
    padding: 20px;
}

.grid-item {
    background-color: #fff;
    border-radius: 18px; /* Bordes redondeados */
    padding: 40px 20px 40px 20px;
    text-align: center;
    transition: transform 0.3s;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    border: 1px solid #b3b3b3;
}

.grid-item img {
    max-width: 50%;
    height: auto;
}

.grid-item p {
    font-size: 16px;
    font-weight: 600;
    text-transform: uppercase;
    line-height: 1.3em;
    color: #3d3d3d;
}

.imagen-contenedor {
    background-color: #E8E8E8;
    border-radius: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
    margin-bottom: 15px;
    width: 100px; 
    height: 100px; 
}

/* SECCION VACANTES */
.section-vacancies{
    padding: 80px 0px 80px 0px;
    background-attachment: fixed;
    background-image:url('../img/bg-1.webp');
    background-position: center center;
    background-repeat: no-repeat;
    background-size: cover;
}

.container-vacancies{
    max-width:1240px;
    margin-right: auto;
    margin-left: auto;
    position: relative;
    text-align: center;
}

.row-filter{
    background-color: #fff;
    padding: 20px 40px 20px 40px;
    border-radius: 30px;
}

.col-filter{
    display: flex;
    align-items: center;
}

.text-filter{
    font-size: 20px;
    font-weight: 700;
    line-height: 1.3em;
    text-decoration: none;
    color: black;
    margin-right: 50px;
}

.btn-date{
    background-color: #f8f8f8;
    font-size: 16px;
    font-weight: 700;
    line-height: 1.3em;
    text-decoration: none;
    color: #963cbd;
    padding: 10px 30px 10px 30px;
    border-radius: 30px;
    margin-right: 50px;
}

.btn-date:hover{
    color: #963cbd;
    cursor: pointer;
}

.dropdown-toggle{
    background-color: #f8f8f8;
    font-size: 16px;
    font-weight: 700;
    line-height: 1.3em;
    text-decoration: none;
    color: #963cbd;
    padding: 10px 30px 10px 30px;
    border-radius: 30px;
    border: none;
}

.dropdown-toggle:hover, 
.dropdown-toggle:focus, 
.dropdown-toggle:active, 
.dropdown-toggle.show {
    color: #963cbd;
    background-color: #f8f8f8;
    box-shadow: none;
}

.btn-show{
    background-color: #963cbd;
    font-size: 16px;
    font-weight: 700;
    line-height: 1.3em;
    text-decoration: none;
    color: #fff;
    padding: 10px 30px 10px 30px;
    border-radius: 30px;
    border: none;
}

.btn-show:hover{
    background-color: #963cbd;
    color: #fff;
}

.card {
    background-color: #fff;
    border-radius: 10px;
    overflow: hidden;
    position: relative;
}

.card-header {
    position: absolute;
    top: 15px;
    left: 0px;
    border: none;
    background-color: transparent;
}

.badge {
    background: linear-gradient(30deg, #9c47c1, #00a3e0);
    color: white;
    padding: 5px 10px;
    border-radius: 20px;
    font-size: 12px;
}

.card-img {
    width: 100%;
    height: 100%;
}

.corner-image {
    position: absolute;
    bottom: -20px; /* Hace que sobresalga hacia abajo */
    left: 10px; /* Posiciona la imagen en la esquina inferior izquierda */
}

.corner-image img {
    width: 50px; /* Ajusta el tamaño de la imagen */
    height: 50px;
}

.card-body {
    padding: 15px;
}

.card-info {
    display: flex;
    margin-bottom: 10px;
    font-size: 14px;
}

.info-item{
    margin-right: 20px;
    color: #bec6c4;
    font-size: 12px;
}

.card-title {
    font-size: 18px;
    margin-bottom: 15px;
    text-align: left;
    font-weight: 700;
}

.card-footer {
    display: flex;
    justify-content: space-between;
    align-items: center;
    background-color: #fff;
}

.btn-primary {
    background-color: #963cbd;
    color: white;
    padding: 5px 30px;
    border-radius: 20px;
    text-decoration: none;
    border: none;
}

.btn-primary:hover {
    background-color: #7B2E9B;
}

.card-button {
    background: linear-gradient(30deg, #00a3e0, #9c47c1); /* Gradiente del botón */
    width: 70px;
    height: 70px;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    position: absolute;
    top: 300px; /* Para que el botón esté centrado y fuera del borde inferior */
    right: 10px;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.2); /* Sombra del botón */
}

.card-button img{
    width: 60%;
}

.col-vacancies{
    margin-top: 30px;
}

/* Estilo general para el contenedor de la paginación */
.pagination {
    display: flex;
    justify-content: center;
    padding: 10px 0;
}

/* Estilo para cada elemento de la paginación */
.page-item {
    margin: 0 5px;
    list-style: none;
}

/* Estilo para los enlaces de paginación */
.page-link {
    display: block;
    padding: 8px 12px;
    background-color: #f8f9fa;
    border: 1px solid #dee2e6;
    border-radius: 5px;
    color: #007bff;
    text-decoration: none;
    transition: background-color 0.3s ease, color 0.3s ease;
}

/* Estilo cuando el enlace de la paginación está activo */
.page-item.active .page-link {
    background-color: #007bff;
    border-color: #007bff;
    color: white;
}

/* Estilo cuando se pasa el cursor sobre los enlaces de paginación */
.page-link:hover {
    background-color: #e9ecef;
    color: #0056b3;
}

/* Desactivar el enlace de la paginación si no es clickeable (por ejemplo, "Anterior" en la primera página) */
.page-item.disabled .page-link {
    background-color: #e9ecef;
    border-color: #dee2e6;
    color: #6c757d;
    cursor: not-allowed;
}

.display-none-visible{
    display: flex;
}

.col-display-none-visible{
    display: none;
}

.p-tablet-desktop{
    display: block;
}

/* TABLET */
@media only screen and (min-width: 600px) and (max-width: 900px) and (orientation: portrait) {
    .card-button {
        top: 280px; /* Para que el botón esté centrado y fuera del borde inferior */
    }

    .p-tablet-desktop{
        display: none;
    }
}

@media screen and (min-width: 320px) and (max-width: 767px) {
    .p-tablet-desktop{
        display: none;
    }

    .space{
        min-height:15px;
    }

    .col-display-none-visible{
        display: flex;
    }

    .display-none-visible{
        display: none;
    }

    .space-two{
        min-height:15px;
    }

    /* BANNER */
    .hero {
        background-position: 67% 0px;
        min-height: 250px;
    }
    .text-banner{
        font-size: 30px;
    }

    .section-areas{
        padding: 30px 10px 30px 10px;
    }

    .text-title{
        font-size: 30px;
    }

    .grid-item {
        padding: 10px 0px;
    }
    
    .grid-item img {
        max-width: 30%;
    }

    .imagen-contenedor {
        width: 80px; 
        height: 80px; 
    }
    
    .grid-item p {
        font-size: 12px;
    }

    .section-vacancies{
        padding: 30px 10px 30px 10px;
    }

    .row-filter{
        padding: 20px;
        margin-left: 5px;
        margin-right: 5px;
    }

    .col-filter{
        display: flex;
        flex-direction: column;
    }

    .text-filter{
        margin-right: 0px;
        font-size: 16px;
    }
    
    .btn-date{
        margin-right: 0px;
        margin-top: 10px;
    }

    .dropdown{
        margin-top: 10px;
    }

    .btn-show{
        margin-top: 10px;
    }

    .col-vacancies{
        margin-top: 15px;
    }

    .card-title {
        font-size: 16px;
    }

    .card-button {
        width: 40px;
        height: 40px;
 
        top: 240px; /* Para que el botón esté centrado y fuera del borde inferior */
    }
    
    .card-button img{
        width: 60%;
    }
}